/* -*- C++ -*-
 *   OptionsDlg.h - Options window (widget)
 * 
 *   part of knu: KDE network utilities
 *
 *   Copyright (C) 1997  Bertrand Leconte
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef __OptionsDlg_h__
#define __OptionsDlg_h__

#include <qlayout.h>
#include <qlined.h>
#include <qlabel.h>
#include <qframe.h>
#include <qpushbt.h>
#include <qdialog.h>
#include <qgrpbox.h>
#include <qbttngrp.h>
#include <qradiobt.h>
#include <qchkbox.h>
#include <qsemimodal.h> 
#include <ktabctl.h>

#include "CommandDlg.h"

//class OptionsDlg: public QFrame
//class OptionsDlg: public QSemiModal
class OptionsDlg: public QDialog
{
  Q_OBJECT;

public:
  OptionsDlg(CommandCfgDlg **, int, 
	     QWidget* parent = NULL, const char* name = NULL);
  virtual ~OptionsDlg();
  //void show();

public slots:
  void slotOkBtn();
  void slotHelpBtn();
  void slotCancelBtn();
  void closeEvent(QCloseEvent*);

signals:
  void optionsClosed();

private:
  //CommandDlg **getPages(int *);
  
  CommandCfgDlg  **configPages;
  int              pagesNumber;


  // widgets
  QPushButton *bBtnOk, *bBtnHelp, *bBtnCancel;
  
  // layout
  QBoxLayout  *layout1;
  QBoxLayout  *layoutB;

  // KTabCtl
  KTabCtl     *cfgTabCtrl;
};

#endif  // __OptionsDlg_h__
